gimp freezes at end of cage-base transform

Bug #1614593 reported by Alexis Scheuer on 2016-08-18
194
This bug affects 44 people
Affects Status Importance Assigned to Milestone
The Gimp
Expired
Medium
gimp (Ubuntu)
High
Unassigned

Bug Description

Hello.

I am currently unable to apply the cage-base transform, whatever the image: at the end of the two first computations (creation of the cage and first deformation), gimp freezes (at the last pixel of the circle)!

And no way to get it back... Except closing.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: gimp 2.8.16-1ubuntu1.1
ProcVersionSignature: Ubuntu 4.4.0-34.53-generic 4.4.15
Uname: Linux 4.4.0-34-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CurrentDesktop: XFCE
Date: Thu Aug 18 17:36:44 2016
InstallationDate: Installed on 2013-07-29 (1116 days ago)
InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Release amd64 (20130423.1)
SourcePackage: gimp
UpgradeStatus: Upgraded to xenial on 2016-07-30 (18 days ago)

Alexis Scheuer (alexis-scheuer) wrote :
Alexis Scheuer (alexis-scheuer) wrote :

Hello.

I really need some help about this bug: I often have to use the cage-transform, and have no way to get it working.

I even tried version 2.8.18 (with ppa otto-kesselgulasch/gimp, as given in doc.ubuntu-fr.org/gimp), but got the same behaviour. I removed my .gimp-2.8 directory, to check whether it was a configuration problem, but still the same. I was ready to try version 2.9, but required packages are tough to get (a lot need a version newer than the one proposed by Ubuntu).

HELP!

When I start gimp from a terminal, I have a lot of warnings about GEGL (Cannot change name of operation class 0x... from "gimp:..." to "gimp:...") and a few errors while parsing XMP metadata (unexpected end of element "exif:Flash", at line 74 and 96 - Metadata parasite seems to be corrupt) and a final warning (JPEG - unable to decode XMP metadata packet).
But this does not seem to explain why cage-transform freezes gimp.

Alexis Scheuer (alexis-scheuer) wrote :

This furiously looks like an old bug recently solved: https://bugzilla.gnome.org/show_bug.cgi?id=678085...

I may try and get Gimp's sources to compile it with the given patch.

Alexis Scheuer (alexis-scheuer) wrote :

Hello.

That's it: I corrected the bug, even though Gimp does not display the progress disc anymore during the transformation (but I don't care).

I only applied partially Massimo's patch: the lines to modify in gimp-gegl-utils.c do not exist, gimpoperationcagetransform files are in app/gegl/ and not in app/operations/, and gimpoperationshapeburst files do not exist anymore.

Here are the modifications I made in both gimpoperationcagetransform files.

Alexis Scheuer (alexis-scheuer) wrote :

Sorry for unusual format above (this is a bzip tar of the diff files).

Here is a standard patch.

Alexis Scheuer (alexis-scheuer) wrote :

Oups, I also forgot to precise that I worked on 2.8.16 source code available on gimp.org.

The attachment "gimpoperationcagetransform.tbz" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gimp (Ubuntu):
status: New → Confirmed
Changed in gimp (Ubuntu):
importance: Undecided → High
Michael Schumacher (schumaml) wrote :

So...

Discovering that Debian and/or Ubuntu decided to make their GIMP 2.8 packages depend on gegl-0.3 instead of gegl-0.2 came as a surprise to some of the GIMP developers.

We prefer not to raise library dependencies in the stable branch, and have certainly not planned for changes in GIMP code to accommodate for this in the stable branch - as you can see, the patch author for the fix in the GIMP master branch isn't sure if the patch can be backported to be compatible with both gegl-0.2 and gegl-0.3: https://bugzilla.gnome.org/show_bug.cgi?id=770848

This makes this hard to fix from our side for distros that choose to deviate from the upstream dependencies.

Can I assume that Ubuntu tries to fix this for their package, based on the patch(es) proposed in this bug report?

Changed in gimp:
importance: Unknown → High
status: Unknown → Fix Released
Pablo Piaggio (papibe) wrote :

This still present in:

$lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.1 LTS
Release: 16.04
Codename: xenial

$ uname -a
Linux vanhalen 4.4.0-53-generic #74-Ubuntu SMP Fri Dec 2 15:59:10 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

$ apt-cache policy gimp
gimp:
  Installed: 2.8.16-1ubuntu1.1
  Candidate: 2.8.16-1ubuntu1.1
  Version table:
 *** 2.8.16-1ubuntu1.1 500
        500 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages
        500 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages
        100 /var/lib/dpkg/status
     2.8.16-1ubuntu1 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages

tylerecouture (tylerecouture) wrote :

Confirmed for:

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.2 LTS
Release: 16.04
Codename: xenial

$ uname -a
Linux tbl-hackerspace-01-e 4.4.0-62-generic #83-Ubuntu SMP Wed Jan 18 14:10:15 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

$ apt-cache policy gimp
gimp:
  Installed: 2.8.20-0x0~ppa
  Candidate: 2.8.20-0x0~ppa
  Version table:
 *** 2.8.20-0x0~ppa 500
        500 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial/main amd64 Packages
        100 /var/lib/dpkg/status
     2.8.16-1ubuntu1.1 500
        500 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages
        500 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages
     2.8.16-1ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages

Philipp Gassmann (phiphi.g) wrote :

Bug still exists in 2.8.20-0x0~ppa from ppa:otto-kesselgulasch/gimp

jeremy-list (quick-dudley) wrote :

This has been marked as "high priority fix released" for 4 months now, but it still exists in Xenial.

Michael Schumacher (schumaml) wrote :

The fix is rather easy: get the package maintainer to build GIMP 2.8 against GEGL 0.2, just like upstream does it.

The "fix released" is for GIMP 2.9 (the current development version) with GEGL 0.3.

Dave Rove (daver1730) wrote :

"Fix Released" status is incorrect.

This is not fixed upstream but still requires action by the package maintainer.

As others have pointed out, the only way to fix this problem for GIMP 2.8 is to build it against GECL 0.2 as is done upstream rather than the Ubuntu-special build against GECL 0.3. This problem will of course go away with GIMP 2.10 whenever that day comes, but marking this build as "fix released" means that it will remain broken in Ubuntu 17.04 and probably 17.10 as well.

Please notice that the "Fix Released" status only concerns Gimp development, not Gimp / Ubuntu... I am still waiting for an Ubuntu fix, working with a (partially ill-) patched Gimp.

Michael Schumacher (schumaml) wrote :

Changed upstream bug to the more appropriate https://bugzilla.gnome.org/show_bug.cgi?id=770848

no longer affects: gimp
Changed in gimp:
importance: Unknown → Medium
status: Unknown → Confirmed

Is there a way to get a correction in the Ubuntu packages ? Last version for Ubuntu 16.04.01 amd64 (i.e. 2.8.16-1ubuntu1.1) still has the same behaviour...

Thanks for your help.

ShinobiTeno (lct-mail) wrote :

@A.Scheuer The best way is to use GIMP from newer source, like PPA. For example: ppa:otto-kesselgulasch/gimp-edge

ShinobiTeno (lct-mail) wrote :

Just tested it (2.9.5), the issue is fixed there.

Maja Borkowska (jamajka) wrote :

I have the same problem but I am a very basic ubuntu user and so I don't understand anything from what you are saying and I have no idea how to apply those patches.

Can someone tell me in simple steps how do I do that? (Preferably just write commands to write in the terminal ;) )

HansM (ubuntu-hansm) wrote :

sudo add-apt-repository ppa:otto-kesselgulasch/gimp-edge
sudo apt update
sudo apt dist-upgrade

BUT: This is a development version of gimp, without adjustments for ubuntu and can come with other bugs! The look and feel is different from the ubuntu version.

If you like to remove this version after a test do this:

sudo rm /etc/apt/sources.list.d/otto-kesselgulasch-ubuntu-gimp-edge-*
sudo apt purge gimp
sudo apt install gimp

Anthony (danthonyd) wrote :

Still a problem here on 2.8.16.
Is the development version stable?

HansM (ubuntu-hansm) wrote :

Gimp-edge (Current 2.9.5) is the unstable [!] development branch of GIMP. The next stable release is GIMP 2.10.

Current Confirmed-Bugs: https://bugzilla.gnome.org/buglist.cgi?bug_status=CONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&product=GIMP&target_milestone=2.10

Ads20000 (ads20000) wrote :

This is fixed in the GIMP snap. Install with `sudo snap install gimp`.

https://forum.snapcraft.io/t/call-for-testing-gimp/1281/41

Ads20000 (ads20000) wrote :

(fixed by depending on gegl-0.2)

Sorry to inform you that GIMP snap does not seem to be a solution for me: it is way too slow with respect to the buggy GIMP (more than 5 times slower?).

I do not wish either to compile both GIMP and GEGL 2.0, as this last one is not offered any more by Ubuntu/Xubuntu.

As a consequence, I will continue to use my badly-patched version of 2.8.16, even on a new laptop, waiting for Ubuntu/Xubuntu to do something about GIMP (and several other bugs in 16.04 - what a mess).

Ads20000 (ads20000) wrote :

Sorry if this is a pain but could you please report your snap speed issue here (hopefully we can get it fixed)? https://github.com/snapcrafters/gimp/issues

Thanks! :)

Nicolas Frank (nicofs-p) wrote :

As of today, it is not working. Using 17.10 on 4.13.0-30-generic and gimp:

GNU Image Manipulation Program version 2.8.20
git-describe: GIMP_2_8_18-91-g91b41bba51
using GEGL version 0.3.20 (compiled against version 0.3.14)
using GLib version 2.54.1 (compiled against version 2.51.2)
using GdkPixbuf version 2.36.11 (compiled against version 2.36.5)
using GTK+ version 2.24.31 (compiled against version 2.24.31)
using Pango version 1.40.12 (compiled against version 1.40.3)
using Fontconfig version 2.11.94 (compiled against version 2.11.94)
using Cairo version 1.14.10 (compiled against version 1.14.8)

Sad to see that more than one year on this is still an issue.

description: updated
Changed in gimp:
status: Confirmed → Expired
BrainFucker (retratserif) wrote :

Why is it marked as expired? Bug still exists in 16.04.3 LTS.

Michael Schumacher (schumaml) wrote :

The upstream bug tracker changed from bugzilla.gnome.org to gitlab.gnome.org. All those recent Expired changes are bogus.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.